# $Revision: 1.22 $, $Date: 2004/08/25 12:14:22 $
# TODO: 
# - find homepage 
# - update to 1.5 (i can't find source, only binaries!)
Summary:	A powerful scientific DAL calculator
Summary(pl):	Zaawansowany kalkulator naukowy
Name:		dalc
Version:	0.1
Release:	6
License:	GPL
Group:		Applications/Math
Source0:	http://linuxberg.iol.it/files/console/scientific/%{name}-%{version}.tgz
# Source0-md5:	7720fdddbab2b72932fa58b139bc5be5
Source1:	%{name}.desktop
Patch0:		%{name}-ac_am.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-ext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
Dalc is designed to be both powerful and easy to use at the same time.

%description -l pl
Dalc ma due moliwoci, jednoczenie bdc atwym w uyciu.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dalc.spec,v $
Revision 1.22  2004/08/25 12:14:22  undefine
- add TODO
- release 6
- BR: ncurses-ext-devel

Revision 1.21  2004/07/14 18:18:46  kali
- switched to vfolders, rel 5

Revision 1.20  2003/07/08 00:05:10  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.19  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:46:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/12/10 08:54:17  roman
- added dalc.desktop to Scientific/Numerics applnk subdir
- changed Release number from 3 to 4

Revision 1.16  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.14  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.12  2002/04/25 16:09:07  arturs
fixed a small typo

Revision 1.11  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/17 02:34:18  kloczek
- release i3: use %%{__cc} as %{__cxx} and remove libstdc++-devel from
  BuildRequires.

Revision 1.8  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/10/07 13:24:18  blues
- release 2
- am/ac/libtool play

Revision 1.6  2001/07/26 04:07:28  agaran
just work around rcs tags

